Request

Response

    Bid Package Organizational Attributes
    PATCH

    bid-package-organizational-attributes/{orgAttributeId}

    Updates an organizational attribute associated with the specified bid package. The request body must include nodeIds and/or includeSubItems; only these fields can be modified. Note that nodeIds can be an empty array, which allows a bid package to remain connected to a classification or location tree without any specific nodes linked to it.

    Resource Information

    Method and URI
    PATCH
    https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-organizational-attributes/{orgAttributeId}
    Authentication Context
    User context required
    Required OAuth Scopes
    data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    orgAttributeId
    string
    The unique ID of a bid package’s organizational attribute.

    Request

    Body Structure

    nodeIds
    array: string
    The list of node IDs within the tree that are associated with this bid package.
    includeSubItems
    boolean
    Whether sub-items of the selected tree nodes are included.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    id
    string
    The unique ID of the organizational attribute.

    Max length: 24

    projectId
    string
    The ID of the project to which the bid package belongs.

    Max length: 24

    bidPackageId
    string
    The ID of the bid package.

    Max length: 24

    currentAccLinkedProjectId
    string
    The project ID of the ACC project currently linked to from the bid package’s BuildingConnected project.
    treeId
    string
    The ID of the classification or location tree.
    nodeIds
    array: string
    The list of node IDs within the tree that are associated with this bid package.
    includeSubItems
    boolean
    Whether sub-items of the selected tree nodes are included.
    componentType
    enum:string
    The type of the tree. Possible values:
    • classification: A classification tree pulled into Preconstruction in the ACC project.
    • location: The location tree of the ACC project.
    createdAt
    datetime: ISO 8601
    The date and time that the organizational attribute was created, in ISO 8601 format.
    createdBy
    string
    The BuildingConnected user ID of the user who created the organizational attribute for this bid package.

    Max length: 24

    updatedAt
    datetime: ISO 8601
    The date and time that the organizational attribute was last updated, in ISO 8601 format.
    updatedBy
    string
    The BuildingConnected user ID of the user who last updated the organizational attribute for this bid package.

    Max length: 24

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-organizational-attributes/:orgAttributeId' \
      -X 'PATCH' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
      -H 'Content-Type: application/json' \
      -d '{
            "nodeIds": [
              "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
            ],
            "includeSubItems": true
          }'
    
    Show More

    Response

    {
      "id": "5c3f0a5c9ca3dda548312ea5",
      "projectId": "590dd127b319f408f190b3b8",
      "bidPackageId": "590dd127b359f408f190b5a7",
      "currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
      "treeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "nodeIds": [
        "79"
      ],
      "includeSubItems": true,
      "componentType": "classification",
      "createdAt": "2014-09-25T19:00:00.000Z",
      "createdBy": "5a1dc3cf5b54e06ca307d7af",
      "updatedAt": "2014-09-26T16:00:00.000Z",
      "updatedBy": "5542856b27aae240452fce62"
    }
    
    Show More